gi-gdkx113-3.0.17: GdkX11 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11DeviceCore

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype X11DeviceCore = X11DeviceCore (ManagedPtr X11DeviceCore)
- class (GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o
- toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore

# Exported types

newtype X11DeviceCore Source #

Memory-managed wrapper type.

Constructors

X11DeviceCore (ManagedPtr X11DeviceCore) |

#### Instances

Instances details

Eq X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods (==) :: X11DeviceCore -> X11DeviceCore -> Bool Source # (/=) :: X11DeviceCore -> X11DeviceCore -> Bool Source #
GObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
ManagedPtrNewtype X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods toManagedPtr :: X11DeviceCore -> ManagedPtr X11DeviceCore Source #
TypedObject X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods glibType :: IO GType Source #
HasParentTypes X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore
IsGValue (Maybe X11DeviceCore) Source # | Convert `X11DeviceCore` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11DeviceCore -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11DeviceCore) Source #
type ParentTypes X11DeviceCore Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore type ParentTypes X11DeviceCore = '[Device, Object]

class (GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o Source #

Type class for types which can be safely cast to `X11DeviceCore`, for instance with `toX11DeviceCore`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11DeviceCore o) => IsX11DeviceCore o Source # |
Instance details Defined in GI.GdkX11.Objects.X11DeviceCore

toX11DeviceCore :: (MonadIO m, IsX11DeviceCore o) => o -> m X11DeviceCore Source #

Cast to `X11DeviceCore`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, grab, isFloating, listAxes, listSlaveDevices, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, ungrab, unref, warp, watchClosure.

#### Getters

getAssociatedDevice, getAxes, getAxisUse, getData, getDeviceType, getDisplay, getHasCursor, getKey, getLastEventWindow, getMode, getNAxes, getNKeys, getName, getPosition, getPositionDouble, getProductId, getProperty, getQdata, getSeat, getSource, getVendorId, getWindowAtPosition, getWindowAtPositionDouble.

#### Setters

setAxisUse, setData, setDataFull, setKey, setMode, setProperty.